var growboxInset;
var hideTime;
function mouseDown(event)
{
 
    document.addEventListener("mousemove", mouseMove, true);
    document.addEventListener("mouseup", mouseUp, true);
 
    growboxInset = {x:(window.innerWidth - event.x), y:(window.innerHeight - event.y)};
 
    event.stopPropagation();
    event.preventDefault();
}
 
function mouseMove(event)
{
 
    var x = event.x + growboxInset.x;
    var y = event.y + growboxInset.y;
    if(x < 485)
		x = 485;
    if(y < 300)
		y = 300;
	
    document.getElementById("bg").style.height = y;

    window.resizeTo(x,y);
	var contents = document.getElementById('diggContent');
	contents.object.refresh();
    event.stopPropagation();
    event.preventDefault();
}
 
 
function mouseUp(event)
{
    document.removeEventListener("mousemove", mouseMove, true);
    document.removeEventListener("mouseup", mouseUp, true);

    event.stopPropagation();
    event.preventDefault();
}

function load()
{
    setupParts();
	loadContent(links[index]);

}
function remove()
{
}

function hide()
{
	hideTime = new Date();
}

function show()
{
	if(firstTime){
		loadContent(links[index]);
		firstTime = 0;
		return;
	}
	currentTime = new Date();
	diff = currentTime - hideTime;
	diff = diff / 1000;
	if(diff > 60*10){
		loadContent(links[index]);
	}
}
function sync()
{
}
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";
	document.getElementById("resize").style.visibility = "hidden";
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");
	document.getElementById("resize").style.visibility = "visible";
    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}



function showShade(event)
{
	if(indexText == event.currentTarget.id)
		return 0;
    var imageVar = document.getElementById(event.currentTarget.id+"Shade");
	imageVar.style.visibility = "visible";
}


function hideShade(event)
{
	if(indexText == event.currentTarget.id)
		return 0;
    var imageVar = document.getElementById(event.currentTarget.id+"Shade");
	imageVar.style.visibility = "hidden";
}


function xml_loaded (e, request) 
{
    xml_request = null;
	if(request.status == 0) {
	  	document.getElementById("loading").innerHTML = "Error connecting to digg.com";
	}
	if (request.responseXML)
   {    
	 var xml = xmlParse(request.responseText);
	 var xslt = xmlParse(document.getElementById('xslt').innerHTML);
	 var html = xsltProcess(xml, xslt);
	 var contents = document.getElementById('diggContent');
	 contents.object.content.innerHTML = html;
  	document.getElementById("loading").style.visibility = "hidden";
	 contents.object.refresh();
	 
	}
}
    

var xml_request = null;
var index = 0;
var indexText = "all";
var indexTextOld ="all";
var firstTime = 1;

var appKey = 'http%3A%2F%2Fwww.primepie.com%2FdiggWidget&size=s';
var links = ['http://services.digg.com/stories/popular?appkey=',
			'http://services.digg.com/stories/topic/world_news/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/popular?sort=digg_count-desc&media=videos&appkey=',
			'http://services.digg.com/stories/popular?sort=digg_count-desc&media=images&appkey=',
			'http://services.digg.com/stories/container/technology/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/container/world_business/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/container/science/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/container/gaming/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/container/lifestyle/popular?sort=digg_count-desc&appkey=',
			'http://services.digg.com/stories/container/entertainment/popular?sort=digg_count-desc&appkey=',					    'http://services.digg.com/stories/container/sports/popular?sort=digg_count-desc&appkey=',							'http://services.digg.com/stories/container/offbeat/popular?sort=digg_count-desc&appkey='
			 ];

function loadContent(url)
{
	document.getElementById(indexTextOld+"Shade").style.visibility = "hidden";
	document.getElementById(indexText+"Shade").style.visibility = "visible";

   if (xml_request != null)
    {
      xml_request.abort();
      xml_request = null;
    }
    xml_request = new XMLHttpRequest();
    xml_request.onload = function(e) {xml_loaded(e, xml_request);}
    xml_request.overrideMimeType("text/xml");
    xml_request.open("POST", url+appKey);
    xml_request.setRequestHeader("Cache-Control", "no-cache");
    xml_request.send(null);
	var contents = document.getElementById('diggContent');
	contents.object.content.innerHTML = ""; 
	contents.object.refresh();
	document.getElementById("loading").style.visibility = "visible";
  	document.getElementById("loading").innerHTML = "Loading diggs... (digg.com)";

}


function loadAll(event)
{
	index = 0;
	indexTextOld = indexText;
	indexText = "all";
	loadContent(links[0]);
}


function loadNews(event)
{
	index = 1;
	indexTextOld = indexText;
	indexText = "news";
	loadContent(links[1]);
}


function loadVideos(event)
{
	index = 2;
	indexTextOld = indexText;
	indexText = "video";
	loadContent(links[2]);
}


function loadImages(event)
{
	index = 3;
	indexTextOld = indexText;
	indexText = "image";
	loadContent(links[3]);
}


function loadTech(event)
{
	index = 4;
	indexTextOld = indexText;
	indexText = "technology";
	loadContent(links[4]);
}


function loadBusiness(event)
{
	index = 5;
	indexTextOld = indexText;
	indexText = "worldbusiness";
	loadContent(links[5]);
}


function loadScience(event)
{
	index = 6;
	indexTextOld = indexText;
	indexText = "science";
	loadContent(links[6]);
}


function loadGaming(event)
{
	index = 7;
	indexTextOld = indexText;
	indexText = "gaming";
	loadContent(links[7]);
}


function loadLifestyle(event)
{
	index = 8;
	indexTextOld = indexText;
	indexText = "lifestyle";
	loadContent(links[8]);
}


function loadEntertainment(event)
{
	index = 9;
	indexTextOld = indexText;
	indexText = "entertainment";
	loadContent(links[9]);
}


function loadSports(event)
{
	index = 10;
	indexTextOld = indexText;
	indexText = "sports";
	loadContent(links[10]);
}


function loadOffbeat(event)
{
	index = 11;
	indexTextOld = indexText;
	indexText = "offbeat";
	loadContent(links[11]);
}
